<resources>

    <style name="SwipeBackLayout">
        <item name="shadow_left">@drawable/shadow_left</item>
        <item name="shadow_right">@drawable/shadow_right</item>
        <item name="shadow_bottom">@drawable/shadow_bottom</item>
    </style>

    <style name="PhotoDialog" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item><!--边框-->
        <item name="android:windowIsFloating">true</item><!--是否浮现在activity之上-->
        <item name="android:windowNoTitle">true</item><!--无标题-->
        <item name="android:windowBackground">@color/transparent</item><!--背景透明-->
        <item name="android:backgroundDimEnabled">true</item><!--背景遮罩效果-->
    </style>

    <!--    <style name="AppTheme" parent="PublicTheme">-->
    <!--        <item name="QMUITopBarStyle">@style/QDTopBar</item>-->
    <!--        <item name="QMUITabSegmentStyle">@style/QMUITabSegmentStyle</item>-->
    <!--    </style>-->

    <style name="PublicTheme" parent="QMUI.Compat.NoActionBar">
        <!-- 必須配置app自己的theme -->
        <item name="app_primary_color">?attr/qmui_config_color_blue</item>
        <item name="app_content_bg_color">@color/qmui_config_color_white</item>

        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowAnimationStyle">@style/ui_activityAnimation
        </item><!-- 设置activity切换动画 -->
        <item name="android:windowIsTranslucent">false</item><!-- 防止Acitivity跳转黑屏 将背景设置成透明-->
        <item name="android:windowDisablePreview">true</item>
    </style>

    <!--首頁主題   標題欄文字顏色和其他的不一樣-->
    <style name="MainTheme" parent="PublicTheme">
        <item name="QMUITabSegmentStyle">@style/QMUITabSegmentStyle</item>
        <!--qmui_topbar-->
        <item name="qmui_topbar_title_color">@color/normal_color</item>
        <item name="qmui_topbar_subtitle_color">@color/qmui_config_color_white</item>
        <item name="qmui_topbar_text_btn_color_state_list">@color/s_topbar_btn_color</item>
        <item name="qmui_topbar_height">@dimen/head_height</item>
        <item name="qmui_topbar_image_btn_height">@dimen/head_height</item>
        <item name="qmui_topbar_image_btn_width">@dimen/head_height</item>
    </style>

    <style name="AppTheme.Base" parent="QMUI.Compat.NoActionBar">
        <item name="colorPrimary">@color/theme_color</item>
        <item name="colorPrimaryDark">@color/theme_color</item>
        <item name="colorAccent">@color/theme_color</item>
        <!--        <item name="android:alertDialogTheme">@style/Theme.AppCompat.Light.Dialog.Alert.Self</item>-->
        <item name="android:windowAnimationStyle">@style/ui_activityAnimation
        </item><!-- 设置activity切换动画 -->
    </style>

    <!--  Theme.AppCompat.Light.Dialog -->
    <style name="ui_loading_dialog" parent="@style/Animation.AppCompat.Dialog">
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:background">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <!-- animation 样式 -->
    <style name="ui_activityAnimation" parent="@android:style/Animation">
        <item name="android:activityOpenEnterAnimation">@anim/ui_slide_right_in</item>
        <item name="android:activityOpenExitAnimation">@anim/ui_slide_left_out</item>
        <item name="android:activityCloseEnterAnimation">@anim/ui_slide_left_in</item>
        <item name="android:activityCloseExitAnimation">@anim/ui_slide_right_out</item>
    </style>

    <style name="ButtonBorderless" parent="Base.Widget.AppCompat.Button.Borderless">
        <item name="android:padding">0dp</item>
    </style>

    <style name="order_paymethod_text_style">
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="order_money_text_style">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="pop_add_ainm" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/push_bottom_in</item>
        <item name="android:windowExitAnimation">@anim/push_bottom_out</item>
    </style>

    <!-- **************************QMUI 相关*******************************-->

    <style name="QDtextAppearanceListItem">
        <item name="android:textColor">?attr/qmui_config_color_black</item>
        <item name="android:textSize">18sp</item>
        <!--        <item name="android:background">?attr/qmui_s_list_item_bg_with_border_bottom_inset_left</item>-->
    </style>

    <style name="QDTextAppearanceListItemSmall">
        <item name="android:textColor">?attr/qmui_config_color_gray_4</item>
        <item name="android:textSize">16sp</item>
        <!--        <item name="android:background">?attr/qmui_s_list_item_bg_with_border_bottom_inset_left</item>-->
    </style>

    <style name="QDCommonTitle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginBottom">6dp</item>
        <item name="android:textColor">?attr/qmui_config_color_gray_1</item>
        <item name="android:textSize">17sp</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="QDCommonDescription">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginBottom">20dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">@color/app_color_description</item>
        <item name="android:textSize">15sp</item>
    </style>

    <style name="MainQDTopBar" parent="QMUI.TopBar">
        <!--        <item name="qmui_topbar_bg_color">?attr/app_primary_color</item>-->
        <item name="qmui_topbar_title_color">@color/normal_color</item>
        <item name="qmui_topbar_subtitle_color">@color/qmui_config_color_white</item>
        <item name="qmui_topbar_text_btn_color_state_list">@color/s_topbar_btn_color</item>
        <item name="qmui_topbar_height">@dimen/head_height</item>
        <item name="qmui_topbar_image_btn_height">30dp</item>
        <item name="qmui_topbar_image_btn_width">30dp</item>
    </style>

    <style name="QDTopBar" parent="QMUI.TopBar">
        <!--        <item name="qmui_topbar_bg_color">?attr/app_primary_color</item>-->
        <item name="qmui_topbar_title_color">@color/normal_color</item>
        <item name="qmui_topbar_subtitle_color">@color/theme_color</item>
        <item name="qmui_topbar_text_btn_color_state_list">@color/s_topbar_btn_color</item>
        <item name="qmui_topbar_height">@dimen/head_height</item>
        <item name="qmui_topbar_image_btn_height">@dimen/head_height</item>
        <item name="qmui_topbar_image_btn_width">@dimen/head_height</item>
    </style>

    <style name="QMUITabSegmentStyle" parent="QMUI.TabSegment">
        <item name="qmui_skin_support_tab_bg">@color/qmui_config_color_white</item>
        <item name="qmui_skin_support_tab_separator_color">?attr/qmui_skin_support_color_separator
        </item>
        <item name="qmui_skin_support_tab_normal_color">@color/normal_color</item>
        <item name="qmui_skin_support_tab_selected_color">@color/theme_color</item>
        <item name="qmui_skin_support_tab_sign_count_view_text_color">
            @color/qmui_config_color_white
        </item>
        <item name="qmui_skin_support_tab_sign_count_view_bg_color">?attr/qmui_config_color_red
        </item>
    </style>

    <style name="QDRoundButtonStyle" parent="@style/Button.Compat">
        <item name="android:layout_height">40dp</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:paddingLeft">?attr/qmui_content_spacing_horizontal</item>
        <item name="android:paddingRight">?attr/qmui_content_spacing_horizontal</item>
        <!--        <item name="qmui_borderColor">?attr/qmui_round_btn_border_color</item>-->
        <item name="qmui_backgroundColor">@color/s_app_color_blue_3</item>
        <item name="android:textColor">@color/s_app_color_blue_2</item>
        <item name="android:textSize">14sp</item>
        <item name="android:gravity">center</item>
    </style>

    <style name="MyDialogTheme2" parent="QMUI.Dialog">
        <!--        <item name="qmui_dialog_wrapper_style">@style/dialog_wrapper_style_63</item>-->
        <item name="qmui_dialog_title_style">@style/DialogTheme2TitleStyle</item>
        <item name="qmui_dialog_action_container_style">@style/DialogTheme2ActionContainerStyle
        </item>
        <item name="qmui_dialog_action_style">@style/DialogTheme2ActionStyle</item>
        <item name="qmui_dialog_message_content_style">@style/DialogTheme2MessageContentStyle</item>
        <item name="qmui_dialog_menu_container_style">@style/DialogTheme2MenuContainerStyle</item>
        <item name="qmui_dialog_menu_item_style">@style/DialogTheme2MenuItemStyle</item>
    </style>

    <style name="MyEditDialogTheme" parent="QMUI.Dialog.EditContent">
        <!--        <item name="qmui_dialog_wrapper_style">@style/dialog_wrapper_style_63</item>-->
        <item name="qmui_dialog_title_style">@style/DialogTheme2TitleStyle</item>
        <item name="qmui_dialog_action_container_style">@style/DialogTheme2ActionContainerStyle
        </item>
        <item name="qmui_dialog_action_style">@style/DialogTheme2ActionStyle</item>
        <item name="qmui_dialog_message_content_style">@style/DialogTheme2MessageContentStyle</item>
        <item name="qmui_dialog_menu_container_style">@style/DialogTheme2MenuContainerStyle</item>
        <item name="qmui_dialog_menu_item_style">@style/DialogTheme2MenuItemStyle</item>
    </style>

    <style name="ReleaseDialogTheme" parent="MyDialogTheme2">
        <!--        <item name="qmui_dialog_wrapper_style">@style/QMUI.Dialog.Wrapper</item>-->
        <item name="qmui_dialog_message_content_style">@style/ReleaseMessageContentStyle</item>
    </style>


    <style name="dialog_wrapper_style_63">
        <item name="android:paddingLeft">63dp</item>
        <item name="android:paddingRight">63dp</item>
    </style>

    <style name="DialogTheme2TitleStyle" parent="QMUI.Dialog.Title">
        <item name="android:textColor">?attr/qmui_config_color_gray_1</item>
        <item name="android:textSize">17sp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingTop">28dp</item>
        <item name="android:singleLine">false</item>
        <item name="android:lineSpacingExtra">3dp</item>
    </style>

    <style name="DialogTheme2ActionContainerStyle">
        <item name="android:paddingLeft">0dp</item>
        <item name="android:paddingRight">0dp</item>
        <item name="android:paddingTop">0dp</item>
        <item name="android:paddingBottom">0dp</item>
        <item name="qmui_dialog_action_container_justify_content">stretch</item>
        <item name="qmui_dialog_action_height">56dp</item>
        <item name="qmui_dialog_action_space">8dp</item>
        <!--        <item name="qmui_topDividerColor">?attr/qmui_config_color_separator</item>-->
        <item name="qmui_topDividerHeight">1px</item>
    </style>

    <style name="DialogTheme2ActionStyle">
        <item name="android:textColor">?attr/qmui_config_color_blue</item>
        <item name="android:textSize">15sp</item>
        <item name="android:gravity">center</item>
        <item name="android:minWidth">64dp</item>
        <item name="android:background">@null</item>
        <item name="qmui_dialog_action_button_padding_horizontal">12dp</item>
        <item name="qmui_dialog_action_icon_space">6dp</item>
        <item name="qmui_dialog_positive_action_text_color">?attr/qmui_config_color_blue</item>
        <item name="qmui_dialog_negative_action_text_color">?attr/qmui_config_color_red</item>
    </style>

    <style name="DialogTheme2MessageContentStyle" parent="QMUI.Dialog.MessageContent">
        <item name="android:textColor">?attr/qmui_config_color_gray_4</item>
        <item name="android:textSize">13sp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingTop">13dp</item>
        <item name="android:paddingBottom">27dp</item>
        <item name="android:lineSpacingExtra">5dp</item>
        <item name="qmui_paddingTopWhenNotTitle">27dp</item>
    </style>

    <style name="ReleaseMessageContentStyle" parent="DialogTheme2MessageContentStyle">
        <item name="android:textSize">14sp</item>
        <item name="android:gravity">left</item>
    </style>

    <style name="DialogTheme2MenuItemStyle">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">?attr/qmui_config_color_gray_1</item>
        <item name="android:paddingLeft">32dp</item>
        <item name="android:paddingRight">32dp</item>
    </style>

    <!-- 自定义仿IOS的AlertDialog的样式 -->
    <style name="AlertDialogStyle" parent="@android:style/Theme.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsTranslucent">true</item>
    </style>

    <style name="RoundButton">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">30dp</item>
        <item name="android:paddingLeft">10dp</item>
        <item name="android:paddingRight">10dp</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:gravity">center</item>
        <item name="android:clickable">true</item>
        <item name="android:enabled">true</item>
    </style>

    <!--固体蓝RoundButton -->
    <style name="RoundButton.One">
        <item name="android:layout_height">@dimen/dp_30</item>
        <item name="android:textColor">@color/theme_white_color</item>
        <item name="btnSolidColor">@color/theme_color</item>
        <item name="btnCornerRadius">@dimen/normal_space5</item>
        <item name="btnPressedRatio">0.9</item>
    </style>

    <style name="DialogTheme2MenuContainerStyle" parent="@style/QMUI.Dialog.MenuContainer">
        <item name="qmui_dialog_menu_item_height">52dp</item>
        <item name="qmui_dialog_menu_container_padding_top_when_title_exist">23dp</item>
        <item name="qmui_dialog_menu_container_padding_bottom_when_action_exist">24dp</item>
    </style>

    <style name="Print_text_style">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">@dimen/sp_24</item>
    </style>

    <!--    廚房單菜品名字體樣式-->
    <style name="Print_large_text_style">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">@dimen/sp_34</item>
    </style>
    <!--    廚房單台號體樣式-->
    <style name="Print_kitchen_table_number_text_style">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">@dimen/sp_38</item>
    </style>

    <style name="report_food_ranking">
        <item name="android:gravity">center</item>
        <item name="android:textSize">@dimen/sp_13</item>
        <item name="android:textColor">@color/theme_hint_color</item>
    </style>

    <!--    <style name="MySwitcher">-->
    <!--        <item name="switcherBtn_width">@dimen/dp_46</item>-->
    <!--        <item name="switcherBtn_height">@dimen/dp_26</item>-->
    <!--        <item name="switcherBtn_on_color">@color/switcher_on_color</item>-->
    <!--        <item name="switcherBtn_off_color">@color/switcher_off_color</item>-->
    <!--        <item name="switcherBtn_icon_color">@color/switcher_icon_color</item>-->
    <!--        <item name="elevation">@dimen/switcher_elevation</item>-->
    <!--    </style>-->

    <style name="font_style_twelve">
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textSize">@dimen/dp_12</item>
    </style>

    <style name="font_style_fourteen">
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textSize">@dimen/dp_14</item>
    </style>

    <style name="font_style_sixteen">
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="font_style_eighteen">
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textSize">@dimen/dp_18</item>
    </style>

    <style name="font_style_twenty">
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textSize">@dimen/dp_20</item>
    </style>


    <style name="app_btn_style">
        <item name="android:textSize">@dimen/dp_14</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:layout_height">@dimen/button_height</item>
        <item name="android:background">@drawable/shape_app_btn</item>
    </style>
    <!--————————————————————外送/自取模塊   凍鏈模塊共用樣式————————————————————-->

    <!--    彈窗_收貨標題字體樣式-->
    <style name="otherOrderReceiving_title_textStyle">
        <item name="android:textColor">@color/color_50</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>
    <!--    彈窗_收貨標題信息字體樣式-->
    <style name="otherOrderReceiving_information_textStyle">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">@dimen/dp_16</item>
        <item name="android:textStyle">bold</item>
    </style>
    <!--    彈窗_金額標題字體樣式-->
    <style name="otherOrder_bill_textStyle">
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="otherOrder_bill_info_textStyle">
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:textSize">@dimen/dp_16</item>
        <item name="android:textStyle">bold</item>
    </style>

    <!--    訂單列表item的訂單信息名稱字體樣式-->
    <style name="otherOrder_item_info_title_textStyle">
        <item name="android:textColor">@color/theme_text_color</item>
        <item name="android:textSize">@dimen/dp_12</item>
    </style>
    <!--    訂單列表item的訂單信息字體樣式-->
    <style name="otherOrder_item_info_textStyle">
        <item name="android:textColor">@color/color_86</item>
        <item name="android:textSize">@dimen/dp_12</item>
    </style>
    <!--    訂單列表item的下單時間字體樣式-->
    <style name="otherOrder_item_create_time_textStyle">
        <item name="android:textColor">@color/color_66</item>
        <item name="android:textSize">@dimen/dp_12</item>
    </style>
    <!--    餐廳營業狀態按鈕樣式-->
    <style name="otherOrder_restaurant_state_style">
        <item name="android:layout_width">@dimen/dp_80</item>
        <item name="android:layout_height">@dimen/dp_28</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingLeft">@dimen/dp_8</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/dp_14</item>
    </style>

    <style name="AppEditTextStyle">
        <item name="android:textColorHint">@color/color_c9</item>
        <item name="android:textSize">@dimen/dp_16</item>
        <item name="android:gravity">center_vertical|right</item>
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:background">@null</item>
    </style>

    <style name="otherOrder_delivery_setting_layout_style">
        <item name="android:paddingRight">@dimen/dp_20</item>
    </style>

    <style name="otherOrder_details_sixteen_text_Style">
        <item name="android:textSize">@dimen/dp_16</item>
        <item name="android:textColor">@color/theme_333_color</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="otherOrder_details_twelve_text_Style">
        <item name="android:textSize">@dimen/dp_12</item>
        <item name="android:textColor">@color/color_3c</item>
    </style>

    <style name="Multi_RequiredStyle">
        <item name="android:textColor">@color/required_color</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="Multi_Input_titleStyle">
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="Multi_Input_editStyle">
        <item name="android:textColorHint">@color/color_c9</item>
        <item name="android:textSize">@dimen/dp_16</item>
        <item name="android:gravity">center_vertical|right</item>
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:background">@null</item>
    </style>

    <style name="Multi_Layout_Style">
        <item name="android:layout_height">@dimen/multi_height</item>
        <item name="android:paddingLeft">@dimen/multi_marginLeft</item>
        <item name="android:paddingRight">@dimen/multi_marginLeft</item>
    </style>

    <style name="Save_Btn_Style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">@drawable/shape_app_btn</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="Cancel_Btn_Style" parent="Save_Btn_Style">
        <item name="android:background">@drawable/shape_black_border_small_radius</item>
        <item name="android:textColor">@color/color_3c</item>
    </style>

    <style name="TextStyle_222_16">
        <item name="android:textColor">@color/color_222</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="TextStyle_3C_16">
        <item name="android:textColor">@color/color_3c</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="Base_Btn_Style">
        <item name="android:paddingTop">@dimen/dp_10</item>
        <item name="android:paddingBottom">@dimen/dp_10</item>
        <item name="android:paddingLeft">@dimen/dp_20</item>
        <item name="android:paddingRight">@dimen/dp_20</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/dp_16</item>
    </style>

    <style name="Style_Btn_Green" parent="@style/Base_Btn_Style">
        <item name="android:background">@drawable/shape_bug_again_btn</item>
    </style>

    <style name="Style_Btn_Yellow" parent="@style/Base_Btn_Style">
        <item name="android:background">@drawable/shape_orange_btn_radius</item>
    </style>

    <style name="Style_Btn_Brick_Red" parent="@style/Base_Btn_Style">
        <item name="android:background">@drawable/shape_brick_red_btn_radius</item>
    </style>
</resources>
